// MyFileDialog.cpp : implementation file
//

#include "stdafx.h"
#include "CustFile.h"
#include "MyFileDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMyFileDialog

IMPLEMENT_DYNAMIC(CMyFileDialog, CFileDialog)

CMyFileDialog::CMyFileDialog(BOOL bOpenFileDialog, LPCTSTR lpszDefExt, LPCTSTR lpszFileName,
		DWORD dwFlags, LPCTSTR lpszFilter, CWnd* pParentWnd) :
		CFileDialog(bOpenFileDialog, lpszDefExt, lpszFileName, dwFlags, lpszFilter, pParentWnd)
{
	//SAMPLE: turn on the template
	m_ofn.Flags |= OFN_ENABLETEMPLATE;

	//SAMPLE: get the right module handle
	m_ofn.hInstance = AfxGetResourceHandle();

	//SAMPLE: set the template to load
	m_ofn.lpTemplateName = MAKEINTRESOURCE(IDD_CUSTOM_TEMPLATE);
}


BEGIN_MESSAGE_MAP(CMyFileDialog, CFileDialog)
	//{{AFX_MSG_MAP(CMyFileDialog)
	ON_BN_CLICKED(IDC_BUTTON1, OnButton1)
	ON_BN_CLICKED(IDC_BUTTON2, OnButton2)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


void CMyFileDialog::OnButton1() 
{
	MessageBox("You pressed button #1");
}

void CMyFileDialog::OnButton2() 
{
	MessageBox("You pressed button #2");
}
